Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Class cmdInfo.OperatorInfoModel

java.lang.Object
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdInfo.OperatorInfoModel

Enclosing class:
  cmdInfo

    public static class cmdInfo.OperatorInfoModel
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `OperatorInfoModel​(int index, java.lang.String name, int receipts, double total, int nDiscount, java.lang.Double discount, int nSurcharge, java.lang.Double surcharge, int nVoid, java.lang.Double aVoid)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Double` | `getDiscount()` |
  `int` | `getIndex()` |
  `int` | `getnDiscount()` |
  `int` | `getnSurcharge()` |
  `int` | `getnVoid()` |
  `java.lang.String` | `getOperatorName()` |
  `int` | `getReceipts()` |
  `java.lang.Double` | `getSurcharge()` |
  `double` | `getTotal()` |
  `java.lang.Double` | `getVoid()` |
  `void` | `setDiscount​(java.lang.Double discount)` |
  `void` | `setIndex​(int index)` |
  `void` | `setnDiscount​(int nDiscount)` |
  `void` | `setnSurcharge​(int nSurcharge)` |
  `void` | `setnVoid​(int nVoid)` |
  `void` | `setOperatorName​(java.lang.String operatorName)` |
  `void` | `setReceipts​(int receipts)` |
  `void` | `setSurcharge​(java.lang.Double surcharge)` |
  `void` | `setTotal​(double total)` |
  `void` | `setVoid​(java.lang.Double aVoid)` |

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OperatorInfoModel

    public OperatorInfoModel​(int index, java.lang.String name, int receipts, double total, int nDiscount, java.lang.Double discount, int nSurcharge, java.lang.Double surcharge, int nVoid, java.lang.Double aVoid)

- ## Method Details

  - ### getIndex

    public int getIndex()

  - ### setIndex

    public void setIndex​(int index)

  - ### getOperatorName

    public java.lang.String getOperatorName()

  - ### setOperatorName

    public void setOperatorName​(java.lang.String operatorName)

  - ### getReceipts

    public int getReceipts()

  - ### setReceipts

    public void setReceipts​(int receipts)

  - ### getTotal

    public double getTotal()

  - ### setTotal

    public void setTotal​(double total)

  - ### getnDiscount

    public int getnDiscount()

  - ### setnDiscount

    public void setnDiscount​(int nDiscount)

  - ### getDiscount

    public java.lang.Double getDiscount()

  - ### setDiscount

    public void setDiscount​(java.lang.Double discount)

  - ### getnSurcharge

    public int getnSurcharge()

  - ### setnSurcharge

    public void setnSurcharge​(int nSurcharge)

  - ### getSurcharge

    public java.lang.Double getSurcharge()

  - ### setSurcharge

    public void setSurcharge​(java.lang.Double surcharge)

  - ### getnVoid

    public int getnVoid()

  - ### setnVoid

    public void setnVoid​(int nVoid)

  - ### getVoid

    public java.lang.Double getVoid()

  - ### setVoid

    public void setVoid​(java.lang.Double aVoid)